Page MenuHomePhabricator

Upgrade various Cloud VPS Python 2 scripts to Python 3
Open, MediumPublic

Description

So based on a git grep -E "^#\!/usr/bin/python([^3]|$)" in puppet.git I filtered through for stuff that looked Cloud VPS-related. It might be incomplete.
Ideally this stuff would be done this year.

modules/base/files/labs/notify_maintainers.py:#!/usr/bin/python
modules/base/files/labs/puppet_alert.py:#!/usr/bin/python
modules/dnsrecursor/files/labs-ip-alias-dump.py:#!/usr/bin/python
modules/graphite/files/archive-instances:#!/usr/bin/python
modules/icinga/files/check_wikitech_static_version.py:#!/usr/bin/python
modules/ldap/files/scripts/ssh-key-ldap-lookup:#!/usr/bin/python
modules/openstack/files/clientpackages/designatemakedomain.py:#!/usr/bin/python
modules/openstack/files/designate/dns-floating-ip-updater.py:#!/usr/bin/python
modules/openstack/files/mitaka/admin_scripts/wmcs-cold-migrate.py:#!/usr/bin/python
modules/openstack/files/mitaka/admin_scripts/wmcs-cold-nova-migrate.py:#!/usr/bin/python
modules/openstack/files/mitaka/admin_scripts/wmcs-live-migrate.py:#!/usr/bin/python
modules/openstack/files/mitaka/admin_scripts/wmcs-makedomain.py:#!/usr/bin/python
modules/openstack/files/mitaka/admin_scripts/wmcs-novastats/wmcs-novastats-alltrusty.py:#!/usr/bin/python
modules/openstack/files/mitaka/admin_scripts/wmcs-novastats/wmcs-novastats-capacity.py:#!/usr/bin/python
modules/openstack/files/mitaka/admin_scripts/wmcs-novastats/wmcs-novastats-dnsleaks.py:#!/usr/bin/python
modules/openstack/files/mitaka/admin_scripts/wmcs-novastats/wmcs-novastats-flavorreport.py:#!/usr/bin/python
modules/openstack/files/mitaka/admin_scripts/wmcs-novastats/wmcs-novastats-imagestats.py:#!/usr/bin/python
modules/openstack/files/mitaka/admin_scripts/wmcs-novastats/wmcs-novastats-proxyleaks.py:#!/usr/bin/python
modules/openstack/files/mitaka/admin_scripts/wmcs-novastats/wmcs-novastats-puppetleaks.py:#!/usr/bin/python
modules/openstack/files/mitaka/admin_scripts/wmcs-region-migrate-quotas.py:#!/usr/bin/python
modules/openstack/files/mitaka/admin_scripts/wmcs-region-migrate-security-groups.py:#!/usr/bin/python
modules/openstack/files/mitaka/admin_scripts/wmcs-region-migrate.py:#!/usr/bin/python
modules/openstack/files/monitor/keystone/check_keystone_projects.py:#!/usr/bin/python
modules/openstack/files/monitor/keystone/check_keystone_roles.py:#!/usr/bin/python
modules/openstack/files/monitor/wmcs-spreadcheck.py:#!/usr/bin/python
modules/openstack/files/puppet/master/instance-info-dumper.py:#!/usr/bin/python
modules/openstack/files/util/wmcs-updateproxies.py:#!/usr/bin/python
modules/openstack/files/util/wmcs-webproxy.py:#!/usr/bin/python
modules/openstack/files/util/wmcs-wikireplica-dns.py:#!/usr/bin/python
modules/puppetmaster/files/validatelabsfqdn.py:#!/usr/bin/python
modules/shinken/files/shinkengen:#!/usr/bin/python2

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
ResolvedBUG REPORTBstorm
OpenNone
OpenNone
ResolvedEevans
ResolvedKrenair
ResolvedKrenair
Openelukey
DuplicateNone
OpenNone
OpenPRODUCTION ERRORNone
OpenNone
ResolvedJdforrester-WMF
OpenKrenair
Resolvedthcipriani
ResolvedAndrew
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedAndrew
DuplicateNone
ResolvedPhamhi
OpenNone
ResolvedBstorm
ResolvedBstorm
ResolvedBstorm

Event Timeline

Krenair created this task.Mar 15 2019, 7:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2019, 7:31 PM

The following:

modules/base/files/labs/notify_maintainers.py
modules/base/files/labs/puppet_alert.py
modules/ldap/files/scripts/ssh-key-ldap-lookup
modules/shinken/files/shinkengen

are probably blocked on T218423, probably.

bd808 renamed this task from Upgrade various Python 2 scripts to Python 3 to Upgrade various Cloud VPS/Toolforge Python 2 scripts to Python 3 .Mar 15 2019, 7:36 PM
Krenair added a subscriber: bd808.EditedMar 15 2019, 7:36 PM

@bd808 I actually separated the toolforge scripts into a different list which I haven't opened a task for yet

Krenair renamed this task from Upgrade various Cloud VPS/Toolforge Python 2 scripts to Python 3 to Upgrade various Cloud VPS Python 2 scripts to Python 3 .Mar 15 2019, 7:40 PM
GTirloni triaged this task as Medium priority.Mar 21 2019, 4:57 PM
Xqt added a subscriber: Xqt.Jul 24 2019, 8:36 AM

I think some of this stuff like dynamicproxy/invisible-unicorn.py would be easier to port/test if they were in separate repos - any opinions on that?

I think some of this stuff like dynamicproxy/invisible-unicorn.py would be easier to port/test if they were in separate repos - any opinions on that?

Our infrastructure for building and deploying deb packages is horrible. I would really not be excited about making dynamicproxy harder to deploy.

I think some of this stuff like dynamicproxy/invisible-unicorn.py would be easier to port/test if they were in separate repos - any opinions on that?

Our infrastructure for building and deploying deb packages is horrible. I would really not be excited about making dynamicproxy harder to deploy.

Oh, agreed. I was thinking of deploying out of a git checkout or something. But I'll try adding some tests to the existing puppet repo and see how it goes.

Change 622844 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] remove python2-only function from puppet_alert to move to py3

https://gerrit.wikimedia.org/r/622844

Change 622846 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] move puppet_alert script to python3

https://gerrit.wikimedia.org/r/622846

Change 622874 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] cloud-vps: Add python3 client packages in cloud

https://gerrit.wikimedia.org/r/622874

Change 622874 merged by Bstorm:
[operations/puppet@production] cloud-vps: Add python3 client packages in cloud

https://gerrit.wikimedia.org/r/622874

Change 622844 merged by Bstorm:
[operations/puppet@production] remove python2-only function from puppet_alert to move to py3

https://gerrit.wikimedia.org/r/622844

Change 624805 had a related patch set uploaded (by Nskaggs; owner: Nskaggs):
[operations/puppet@production] Convert wmcs-novastats scripts to python3

https://gerrit.wikimedia.org/r/624805

Change 622846 merged by Bstorm:
[operations/puppet@production] move puppet_alert script to python3

https://gerrit.wikimedia.org/r/622846

Change 624805 merged by Andrew Bogott:
[operations/puppet@production] Convert wmcs-novastats scripts to python3

https://gerrit.wikimedia.org/r/624805

Change 626235 had a related patch set uploaded (by Nskaggs; owner: Nskaggs):
[operations/puppet@production] Convert maintain-meta_p.py to python3

https://gerrit.wikimedia.org/r/626235

Change 626235 abandoned by Nskaggs:
[operations/puppet@production] Convert maintain-meta_p.py to python3

Reason:
https://gerrit.wikimedia.org/r/c/operations/puppet/ /643363

https://gerrit.wikimedia.org/r/626235